package com.jjt.biz.controller;

import com.jjt.biz.service.IApiAllService;
import com.jjt.biz.vo.TwinAllVO;
import com.jjt.common.core.controller.BaseController;
import com.jjt.common.core.domain.R;
import com.jjt.common.core.redis.RedisCache;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * swagger 用户测试方法
 *
 * @author ruoyi
 */
@Api("全厂孪生数据接口")
@RestController
@Slf4j
public class ApiAllController extends BaseController {
    @Resource
    private IApiAllService service;
    @Resource
    private RedisCache redisCache;

    @ApiOperation("全厂数字孪生")
    @GetMapping("/api/all/data")
    @CrossOrigin(origins = "*")
    @ResponseBody
    public R<?> data() {
        TwinAllVO vo = new TwinAllVO();
        vo.setStock(service.stock());
        vo.setAvgMonth(service.avgMonth());
        vo.setCurrYield(service.currYield());
        vo.setProdTrade(service.prodTrade());
        vo.setEnergyTrade(service.energyTrade());

        return R.ok(vo);
    }

}
