package com.jjt.biz.controller;

import com.jjt.biz.service.IApiYrService;
import com.jjt.biz.vo.YrProdEfficiencyVO;
import com.jjt.biz.vo.YrProdLineStatusVO;
import com.jjt.biz.vo.YrTwinVO;
import com.jjt.common.core.controller.BaseController;
import com.jjt.common.core.domain.R;
import com.jjt.common.core.redis.RedisCache;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.List;
import java.util.Random;

/**
 * swagger 用户测试方法
 *
 * @author ruoyi
 */
@Api("全厂孪生数据接口")
@RestController
@Slf4j
public class ApiYrController extends BaseController {
    @Resource
    private IApiYrService service;
    @Resource
    private RedisCache redisCache;

    @ApiOperation("染整线数字孪生")
    @GetMapping("/api/yr/data")
    @CrossOrigin(origins = "*")
    @ResponseBody
    public R<?> data() {
        YrTwinVO vo = new YrTwinVO();
        YrProdLineStatusVO status = service.status();
        vo.setStatus(status);
        List<YrProdEfficiencyVO> effList = service.eff();
        for (YrProdEfficiencyVO eff : effList) {
            if (eff.getLine() == 0) {
                status.setWeight(eff.getWeight().setScale(0, RoundingMode.HALF_UP));
                status.setLength(eff.getLength().setScale(0, RoundingMode.HALF_UP));
                Random random = new Random();
                BigDecimal baiPi = eff.getLength().multiply(BigDecimal.valueOf(0.5 + random.nextDouble())).setScale(0, RoundingMode.HALF_UP);
                status.setBaiPei(baiPi);
            }
        }
        vo.setEff(effList);
        vo.setProdTrade(service.prodTrade());
        vo.setEnergyTrade(service.energyTrade());
        return R.ok(vo);
    }

}
