package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 员工产量统计对象 TWIN_EMP_CALC
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "TwinAllVO", description = "全厂首页统计视图")
@Data
public class TwinAllVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("当前库存")
    private Map<String, Object> stock;

    @ApiModelProperty("月平均")
    private AvgMonthVO avgMonth;

    @ApiModelProperty("生产情况")
    private CurrYieldVO currYield;

    @ApiModelProperty("生产趋势")
    private List<ProdTradeVO> prodTrade;

    @ApiModelProperty("能耗趋势")
    private List<EnergyTradeVO> energyTrade;
}
