package com.jjt.biz.vo;

import com.jjt.biz.domain.TwinDevice;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;

import java.util.Map;

/**
 * 送经量
 *
 * @author wukai
 * @date 2024/5/8 15:50
 */
@ApiModel(value = "WarpRunIn", description = "送经量数据")
@Data
@NoArgsConstructor
public class WarpRunIn {
    @ApiModelProperty("设备信息")
    private String device;
    @ApiModelProperty("L1梳栉送经量")
    private Integer l1;
    @ApiModelProperty("L2梳栉送经量")
    private Integer l2;
    @ApiModelProperty("L3梳栉送经量")
    private Integer l3;
    @ApiModelProperty("L4梳栉送经量")
    private Integer l4;
    @ApiModelProperty("L5梳栉送经量")
    private Integer l5;
    @ApiModelProperty("牵拉密度")
    private Float density;
    @ApiModelProperty("卷曲张力系数")
    private Float coefficient;

    public WarpRunIn(Map<String, Object> map) {
        TwinDevice twinDevice = (TwinDevice) map.get("device");
        this.device = twinDevice.getDeviceName();
        this.l1 = (int) map.get("Formula_data_19");
        this.l2 = (int) map.get("Formula_data_20");
        this.l3 = (int) map.get("Formula_data_21");
        this.l4 = (int) map.get("Formula_data_22");
        this.l5 = (int) map.get("Formula_data_23");
        this.density = (float) map.get("Formula_data_24");
        this.coefficient = (float) map.get("Formula_data_25");
    }

    public void setCells(Cell[] cells, CellStyle style) {
        cells[0].setCellValue(device);
        cells[1].setCellValue(l1);
        cells[2].setCellValue(l2);
        cells[3].setCellValue(l3);
        cells[4].setCellValue(l4);
        cells[5].setCellValue(l5);
        cells[6].setCellValue(density);
        cells[6].setCellStyle(style);
        cells[7].setCellValue(coefficient);
        cells[7].setCellStyle(style);
    }
}
