package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Random;

/**
 * 员工产量统计对象 TWIN_EMP_CALC
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "ProdLineStatusVO", description = "产线状态")
@Data
public class YrProdLineStatusVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("开动产线数量")
    private Integer openProd;
    @ApiModelProperty("总开机数")
    private Integer open;
    @ApiModelProperty("总设备数")
    private Integer total;
    @ApiModelProperty("白柸投放量")
    private BigDecimal baiPei;
    @ApiModelProperty("米数")
    private BigDecimal length;
    @ApiModelProperty("重量")
    private BigDecimal weight;

    public void mock() {
        Random random = new Random();
        this.baiPei = BigDecimal.valueOf(2000 + random.nextInt(2000));
        this.length = BigDecimal.valueOf(3000 + random.nextInt(2000));
        this.weight = BigDecimal.valueOf(20 + random.nextInt(20));
        this.openProd = 8;
        this.open = 187;
        this.total = 267;
    }
}
