package com.jjt.calc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 告警数据统计对象 TWIN_CALC_ALARMS
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "TwinCalcAlarms", description = "告警数据统计")
@Data
public class TwinCalcAlarms extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @ApiModelProperty("ID")
    @TableId
    private Long id;

    /** 设备ID */
    @ApiModelProperty("设备ID")
    @Excel(name = "设备ID")
    private Long deviceId;

    /** 日期 */
    @ApiModelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataDate;

    /** 小时;0-23 */
    @ApiModelProperty("小时;0-23")
    @Excel(name = "小时;0-23")
    private Integer hour;

    /** 告警开始时间 */
    @ApiModelProperty("告警开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "告警开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 告警停止时间 */
    @ApiModelProperty("告警停止时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "告警停止时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 告警类型;接口对应的编号 */
    @ApiModelProperty("告警类型;接口对应的编号")
    @Excel(name = "告警类型;接口对应的编号")
    private Integer alarmType;

    /** 统计状态;1.已统计 2.未统计 */
    @ApiModelProperty("统计状态;1.已统计 2.未统计")
    @Excel(name = "统计状态;1.已统计 2.未统计")
    private String calcStatus;

    /** 创建人 */
    @ApiModelProperty("创建人")
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @ApiModelProperty("更新人")
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

}
