package com.jjt.calc.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.calc.domain.TwinCalcStop;

/**
 * 停机数据统计Mapper接口
 * 
 * @author wukai
 * @date 2025-01-18
 */
public interface TwinCalcStopMapper extends BaseMapper<TwinCalcStop>
{
    /**
     * 查询停机数据统计
     * 
     * @param id 停机数据统计主键
     * @return 停机数据统计
     */
    public TwinCalcStop selectTwinCalcStopById(Long id);

    /**
     * 查询停机数据统计列表
     * 
     * @param twinCalcStop 停机数据统计
     * @return 停机数据统计集合
     */
    public List<TwinCalcStop> selectTwinCalcStopList(TwinCalcStop twinCalcStop);

    /**
     * 新增停机数据统计
     * 
     * @param twinCalcStop 停机数据统计
     * @return 结果
     */
    public int insertTwinCalcStop(TwinCalcStop twinCalcStop);

    /**
     * 修改停机数据统计
     * 
     * @param twinCalcStop 停机数据统计
     * @return 结果
     */
    public int updateTwinCalcStop(TwinCalcStop twinCalcStop);

    /**
     * 删除停机数据统计
     * 
     * @param id 停机数据统计主键
     * @return 结果
     */
    public int deleteTwinCalcStopById(Long id);

    /**
     * 批量删除停机数据统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcStopByIds(Long[] ids);
}
