package com.jjt.elec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 电费分时配置对象 ELEC_PERIOD
 *
 * @author wukai
 * @date 2025-03-14
 */
@ApiModel(value = "ElecPeriod", description = "电费分时配置")
@Data
public class ElecPeriod extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 分段ID */
    @ApiModelProperty("分段ID")
    @TableId
    private Long periodId;

    /** 春秋月份 */
    @ApiModelProperty("春秋月份")
    @Excel(name = "春秋月份")
    private String saMonths;

    /** 夏冬月份 */
    @ApiModelProperty("夏冬月份")
    @Excel(name = "夏冬月份")
    private String swMonths;

    /** 春秋峰电时段 */
    @ApiModelProperty("春秋峰电时段")
    @Excel(name = "春秋峰电时段")
    private String saPeak;

    /** 春秋谷电时段 */
    @ApiModelProperty("春秋谷电时段")
    @Excel(name = "春秋谷电时段")
    private String saValley;

    /** 春秋平电时段 */
    @ApiModelProperty("春秋平电时段")
    @Excel(name = "春秋平电时段")
    private String saFlat;

    /** 春秋尖峰时段 */
    @ApiModelProperty("春秋尖峰时段")
    @Excel(name = "春秋尖峰时段")
    private String saSuperPeak;

    /** 夏冬峰电时段 */
    @ApiModelProperty("夏冬峰电时段")
    @Excel(name = "夏冬峰电时段")
    private String swPeak;

    /** 夏冬谷电时段 */
    @ApiModelProperty("夏冬谷电时段")
    @Excel(name = "夏冬谷电时段")
    private String swValley;

    /** 夏冬平电时段 */
    @ApiModelProperty("夏冬平电时段")
    @Excel(name = "夏冬平电时段")
    private String swFlat;

    /** 夏冬尖峰时段 */
    @ApiModelProperty("夏冬尖峰时段")
    @Excel(name = "夏冬尖峰时段")
    private String swSuperPeak;

}
