package com.jjt.elec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 电费价格配置对象 ELEC_PRICE
 *
 * @author wukai
 * @date 2025-03-14
 */
@ApiModel(value = "ElecPrice", description = "电费价格配置")
@Data
public class ElecPrice extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 价格ID
     */
    @ApiModelProperty("价格ID")
    @TableId
    private Long priceId;

    /**
     * 电费月份
     */
    @ApiModelProperty("电费月份")
    private String priceMonth;

    /**
     * 峰电电价
     */
    @ApiModelProperty("峰电电价")
    @Excel(name = "峰电电价")
    private BigDecimal pricePeak;

    /**
     * 谷电电价
     */
    @ApiModelProperty("谷电电价")
    @Excel(name = "谷电电价")
    private BigDecimal priceValley;

    /**
     * 平电电价
     */
    @ApiModelProperty("平电电价")
    @Excel(name = "平电电价")
    private BigDecimal priceFlat;

    /**
     * 尖峰电价
     */
    @ApiModelProperty("尖峰电价")
    @Excel(name = "尖峰电价")
    private BigDecimal priceSuperPeak;

}
