package com.jjt.order.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 销售订单明细信息对象 TWIN_ORDER_DETAIL
 *
 * @author wukai
 * @date 2025-01-16
 */
@ApiModel(value = "TwinOrderDetail", description = "销售订单明细信息")
@Data
public class TwinOrderDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 明细ID
     */
    @ApiModelProperty("明细ID")
    @TableId
    private Long odId;

    /**
     * 订单ID
     */
    @ApiModelProperty("订单ID")
    @Excel(name = "订单ID")
    private Long oderId;

    /**
     * 总重量
     */
    @ApiModelProperty("总重量")
    @Excel(name = "总重量")
    private BigDecimal weight;

    /**
     * 单价
     */
    @ApiModelProperty("单价")
    @Excel(name = "单价")
    private BigDecimal price;

    /**
     * 单位
     */
    @ApiModelProperty("单位")
    @Excel(name = "单位")
    private String unit;

    /**
     * 数量
     */
    @ApiModelProperty("数量")
    @Excel(name = "数量")
    private BigDecimal num;

    /**
     * 总价
     */
    @ApiModelProperty("总价")
    @Excel(name = "总价")
    private BigDecimal totalPrice;

    /**
     * 花色
     */
    @ApiModelProperty("花色")
    @Excel(name = "花色")
    private String color;

    /**
     * 物料编码
     */
    @ApiModelProperty("物料编码")
    @Excel(name = "物料编码")
    private String bomCode;

    /**
     * 物料名称
     */
    @ApiModelProperty("物料名称")
    @Excel(name = "物料名称")
    private String bomName;

    /**
     * 物料重量
     */
    @ApiModelProperty("物料重量")
    @Excel(name = "物料重量")
    private Long bomWeight;

    /**
     * 物料规格
     */
    @ApiModelProperty("物料规格")
    @Excel(name = "物料规格")
    private String bomSpec;

}
