package com.jjt.common.constant;

/**
 * 缓存的key 常量
 *
 * @author ruoyi
 */
public class CacheConstants {
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";
    /**
     * 数字孪生缓存
     */
    public static final String TWIN = "twin:";


    /**
     * 库存情况
     */
    public static final String VMS_STOCK = TWIN + "vmsStock";
    /**
     * 月平均
     */
    public static final String AVG_MONTH = TWIN + "avgMonth";
    /**
     * 当前生产情况
     */
    public static final String CURR_YIELD = TWIN + "currYield";
    /**
     * 生产趋势
     */
    public static final String PROD_TRADE = TWIN + "prodTrade";
    /**
     * 能耗趋势
     */
    public static final String ENERGY_TRADE = TWIN + "energyTrade";

    /**
     * iot token
     */

    public static final String IOT_TOKEN = TWIN + "iotToken";

    /**
     * 首页统计缓存
     */
    public static final String INDEX_CALC = TWIN + "indexCalc";
    /**
     * 首页告警缓存
     */
    public static final String INDEX_ALARM = TWIN + "indexAlarm";
    /**
     * 送经量数据
     */
    public static final String INDEX_WARP_RUN_IN = TWIN + "indexWarpRunIn";
    /**
     * 平方米克重明细
     */
    public static final String INDEX_GRAM_MASS_DETAIL = TWIN + "indexGramMassDetail";
    /**
     * 停机明细
     */
    public static final String STOP_DETAIL = TWIN + "stopDetail";

    /**
     * 平方米克重
     */
    public static final String INDEX_GRAM_MASS = TWIN + "indexGramMass";
    /**
     * 首页配方明细缓存
     */
    public static final String INDEX_FORMULA_DETAIL = TWIN + "indexFormulaDetail";
    /**
     * 首页配方统计缓存
     */
    public static final String INDEX_FORMULA_TOTAL = TWIN + "indexFormulaTotal";

    /**
     * 设备缓存
     */
    public static final String DEVICE_ALL = TWIN + "deviceAll";
}
